#!/bin/sh
#-------------------
if test "x$TCL_SYMBOLS" = "x"; then
	TCL_SYMBOLS=--disable-symbols
fi
if test "x$TK_SYMBOLS" = "x"; then
	TK_SYMBOLS=--disable-symbols
fi

if test "x$TCL_NAME" = "x"; then
	TCL_NAME=tcl8.3
fi
TCL=`pwd`/../../qddb/$TCL_NAME
TCL833=tcl8.3.3
rm -f $TCL
ln -s `pwd`/../../qddb/tcl8.3.3 $TCL 
if test "x$TK_NAME" = "x"; then
	TK_NAME=tk8.3
fi
TK=`pwd`/../../qddb/$TK_NAME
TK833=tk8.3.3
rm -f $TK
ln -s `pwd`/../../qddb/tk8.3.3 $TK
if test "x$ITCL_NAME" = "x"; then
	ITCL_NAME=itcl3.2
fi
ITCL=`pwd`/../../qddb/$ITCL_NAME
if test "x$ITK_NAME" = "x"; then
	ITK_NAME=itk3.2
fi
if test "x$BLT_NAME" = "x"; then
	BLT_NAME=blt2.4u
fi
BLT=`pwd`/../../qddb/$BLT_NAME
if test "x$BWIDGET_NAME" = "x"; then
	BWIDGET_NAME=bwidget
fi
BWIDGET=`pwd`/../../qddb/$BWIDGET_NAME
if test "x$QDDB_NAME" = "x"; then
	QDDB_NAME=qddb
fi
QDDB=`pwd`/../../qddb/$QDDB_NAME

lib=$PREFIX/lib/qddb
sh ./mkdirhier $lib

mkdir $TCL_NAME
mkdir $TCL_NAME/unix
mkdir $TK_NAME
mkdir $TK_NAME/unix
mkdir $ITCL_NAME
mkdir $ITCL_NAME/itcl
mkdir $ITCL_NAME/itcl/unix
mkdir $ITCL_NAME/itk
mkdir $ITCL_NAME/itk/unix
mkdir $ITCL_NAME/iwidgets2.2.0
mkdir $ITCL_NAME/iwidgets2.2.0/unix
mkdir $ITCL_NAME/iwidgets3.0.0
mkdir $ITCL_NAME/iwidgets3.0.0/unix

cd $TCL_NAME/unix
$TCL/unix/configure --prefix=$lib --disable-shared \
	--program-suffix=-qddb $TCL_SYMBOLS
$MAKE
$MAKE install
cd ../..
cd $TK_NAME/unix
$TK/unix/configure --prefix=$lib --disable-shared \
	--program-suffix=-qddb $TK_SYMBOLS
$MAKE
$MAKE install
cd ../..

cd $ITCL_NAME
$ITCL/configure --prefix="$lib" --host="$HOST" --disable-shared
$MAKE
$MAKE install
cd ..

mkdir $BLT_NAME
cd $BLT_NAME
$BLT/configure --prefix="$lib" --with-tcl="$lib" \
	--with-tk="$lib" --with-cc="$CC" --with-cflags="$CFLAGS" \
	--disable-shared
$MAKE
$MAKE install
cd ..

mkdir $BWIDGET_NAME
cd $BWIDGET_NAME
$BWIDGET/configure --prefix="$lib"
$MAKE
$MAKE install
cd ..

if [ -f $lib/lib/libtk8.3.a ]; then
	TK_INCLUDE_DIR=$lib/include
	TK_LIBRARY_DIR=$lib/lib
	TK_LIBRARY_NAME=$TK_NAME
	TCL_INCLUDE_DIR=$lib/include
	TCL_LIBRARY_DIR=$lib/lib
	TCL_LIBRARY_NAME=$TCL_NAME
	ITCL_LIBRARY_DIR=$lib/lib
	ITCL_LIBRARY_NAME=$ITCL_NAME
	ITK_LIBRARY_DIR=$lib/lib
	ITK_LIBRARY_NAME=$ITK_NAME
	BLT_LIBRARY_DIR=$lib/lib
	BLT_LIBRARY_NAME=BLT
else
	TK_INCLUDE_DIR=$lib/include
	TK_LIBRARY_DIR=$lib/lib
	TK_LIBRARY_NAME=`echo $TK_NAME | sed -e 's/\.//'`
	TCL_INCLUDE_DIR=$lib/include
	TCL_LIBRARY_DIR=$lib/lib
	TCL_LIBRARY_NAME=`echo $TCL_NAME | sed -e 's/\.//'`
	ITCL_LIBRARY_DIR=$lib/lib
	ITCL_LIBRARY_NAME=`echo $ITCL_NAME | sed -e 's/\.//'`
	ITK_LIBRARY_DIR=$lib/lib
	ITK_LIBRARY_NAME=`echo $ITK_NAME | sed -e 's/\.//'`
	BLT_LIBRARY_DIR=$lib/lib
	BLT_LIBRARY_NAME=BLT
fi
export TCL_INCLUDE_DIR TCL_LIBRARY_DIR TCL_LIBRARY_NAME 
export TK_INCLUDE_DIR TK_LIBRARY_DIR TK_LIBRARY_NAME
export ITCL_LIBRARY_DIR ITCL_LIBRARY_NAME ITK_LIBRARY_DIR ITK_LIBRARY_NAME
export BLT_LIBRARY_DIR BLT_LIBRARY_NAME
mkdir $QDDB_NAME
cd $QDDB_NAME
$QDDB/configure --prefix=$PREFIX --libdir=$lib/lib \
	--with-tcl --with-tk --with-itcl --with-blt \
	--enable-maxmem=65536 
$MAKE
$MAKE install
exit 0

